<html>
<head>
  <title><%= @title %></title>
  <meta http-equiv="Content-Language" content="en-us" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Pragma" content="no-cache" />
  <link rel="stylesheet" type="text/css" href="/stylesheets/main.css" />
  <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
  <script language="javascript" type="text/javascript" src="/javascripts/common.js"></script>
  <% if @request.env["HTTP_USER_AGENT"] =~ /Safari/ -%>
  <style type="text/css">
    #menu { height: 1.9em; }
    #bnum { font-size: 9px; }
  </style>
  <% end -%>
</head>
<body id="topmost">
  <% if logged_user -%>
  <div id="user">
    Logged in as <%= logged_user.user_name %> (<%= link_to "Log off", {:controller => "user", :action => "logoff"}, "title" => "Log off from the system" %>)
  </div>
  <% end -%>
  <div id="content">
    <div id="header">
      <h1>Welcome to BugTrack system</h1>
      <div id="menu">
	<%= start_form_tag({:controller => 'bug', :action => 'show'}, {"name" => "frmbug", "style" => "margin: 0; padding: 0;", "onsubmit" => "javascript:return frmbugOnSubmit();"}) %>
	<% if logged_user && logged_user.is_admin? -%>
	<ul id="admin_menu">
	  <li><%= link_to "Projects", {:controller => "project", :action => "list"}, "title" => "Manage projects" %></li>
	  <li><%= link_to "Users", {:controller => "user", :action => "list"}, "title" => "Manage users" %></li>
	  <li><%= link_to "Priorities", {:controller => "priority", :action => "list"}, "title" => "Manage priorities" %></li>
	</ul>
	<% end -%>
	<ul id="user_menu">
	  <li><%= link_to "Task List", {:controller => "bug", :action => "list"}, "title" => "Show a list of tasks with applied filter" %></li>
	  <li><%= link_to "New Task", {:controller => "bug", :action => "new"}, "title" => "Create a new task" %></li>
          <li><%= link_to "Search", {:controller => "bug", :action => "search"}, "title" => "Search for the task" %></li>
          <li><%= link_to "Filters", {:controller => "filter", :action => "list"}, "title" => "Manage filters" %></li>
	  <% if logged_user -%>
	  <li><%= link_to "Preferences", {:controller => "user", :action => "show", :id => logged_user.id}, "title" => "Edit your account preferences" %></li>
	  <% end -%>
          <li>
	    <a href="javascript:frmbugDoSubmit();" title="Show task info"><label for="bnum">Show #</label></a>
	    <input type="text" name="id" id="bnum" size="4" autocomplete="off" />
	  </li>
        </ul>
	<%= end_form_tag %>
      </div>
    </div>
    <%= @content_for_layout %>
    <p id="footer">
      <span style="border-right: 1px solid white; padding: 0 5px">BugTrack</span>
      <span style="border-right: 1px solid white; padding: 0 5px">version 1.0</span>
      <span style="padding: 0 5px">Copyright &copy; 2004</span>
    </p>
  </div>
</body>
</html>
